Before You Upgrade to iOS 11

Shows a list of apps that won't work with iOS 11.If you’re an iPhone user, you likely have heard that iOS 11 is coming out soon. Apple has said they will release it tomorrow, September 19th.

There is one thing you need to do before you upgrade: Check for app compatibility!

iOS 11 requires apps to be 64-bit and this means that some apps won’t work with the new OS. You should have received a warning when launching these soon to be unsupported apps, but you may not have seen the notice in a while and certainly aren’t thinking about it when you’re focused on the fun new features coming to your iPhone or iPad.

To check for Apps that won’t work with iOS 11, open the Settings App. Then go to General > About and click on Applications. You should now see a list of apps that will not work with iOS 11 if they are not updated. If you aren’t terribly concerned with managing your apps you might find a lot of apps you haven’t used in a while like Flappy Bird! You might also find some apps that have released completely different versions. For example, in my list is the video player VLC. That app is no longer available in the App Store, but they have released a new app “VLC for Mobile” which I would need to download. If you rely on an app to monitor security cameras like Ocularis, you’ll find it doesn’t work with iOS 11. Maybe the newer “Ocularis 5 Mobile” is the answer.

Bottom line, you’ll probably find that most of your apps are compatible, but you want to take a few minutes to check before upgrading and finding out that one app that you really need hasn’t been updated since iOS 6 was released!

Leave a Reply